#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	mv libXsettings.so.0 libXsettings.so.0.0.0
	ln -s libXsettings.so.0.0.0 libXsettings.so.0
	dh_auto_install

override_dh_strip:
	dh_strip --dbgsym-migration='libxsettings0-dbg (<< 0.11-5~)'
